import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { AssociateBotRequest } from "../models/models_0";
import { deserializeAws_restJson1AssociateBotCommand, serializeAws_restJson1AssociateBotCommand, } from "../protocols/Aws_restJson1";
var AssociateBotCommand = (function (_super) {
    __extends(AssociateBotCommand, _super);
    function AssociateBotCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    AssociateBotCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "AssociateBotCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: AssociateBotRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    AssociateBotCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1AssociateBotCommand(input, context);
    };
    AssociateBotCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1AssociateBotCommand(output, context);
    };
    return AssociateBotCommand;
}($Command));
export { AssociateBotCommand };
