import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { AssociateQueueQuickConnectsRequest } from "../models/models_0";
import { deserializeAws_restJson1AssociateQueueQuickConnectsCommand, serializeAws_restJson1AssociateQueueQuickConnectsCommand, } from "../protocols/Aws_restJson1";
var AssociateQueueQuickConnectsCommand = (function (_super) {
    __extends(AssociateQueueQuickConnectsCommand, _super);
    function AssociateQueueQuickConnectsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    AssociateQueueQuickConnectsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "AssociateQueueQuickConnectsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: AssociateQueueQuickConnectsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    AssociateQueueQuickConnectsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1AssociateQueueQuickConnectsCommand(input, context);
    };
    AssociateQueueQuickConnectsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1AssociateQueueQuickConnectsCommand(output, context);
    };
    return AssociateQueueQuickConnectsCommand;
}($Command));
export { AssociateQueueQuickConnectsCommand };
