import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { AssociateRoutingProfileQueuesRequest } from "../models/models_0";
import { deserializeAws_restJson1AssociateRoutingProfileQueuesCommand, serializeAws_restJson1AssociateRoutingProfileQueuesCommand, } from "../protocols/Aws_restJson1";
var AssociateRoutingProfileQueuesCommand = (function (_super) {
    __extends(AssociateRoutingProfileQueuesCommand, _super);
    function AssociateRoutingProfileQueuesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    AssociateRoutingProfileQueuesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "AssociateRoutingProfileQueuesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: AssociateRoutingProfileQueuesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    AssociateRoutingProfileQueuesCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1AssociateRoutingProfileQueuesCommand(input, context);
    };
    AssociateRoutingProfileQueuesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1AssociateRoutingProfileQueuesCommand(output, context);
    };
    return AssociateRoutingProfileQueuesCommand;
}($Command));
export { AssociateRoutingProfileQueuesCommand };
