import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { AssociateSecurityKeyRequest, AssociateSecurityKeyResponse } from "../models/models_0";
import { deserializeAws_restJson1AssociateSecurityKeyCommand, serializeAws_restJson1AssociateSecurityKeyCommand, } from "../protocols/Aws_restJson1";
var AssociateSecurityKeyCommand = (function (_super) {
    __extends(AssociateSecurityKeyCommand, _super);
    function AssociateSecurityKeyCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    AssociateSecurityKeyCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "AssociateSecurityKeyCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: AssociateSecurityKeyRequest.filterSensitiveLog,
            outputFilterSensitiveLog: AssociateSecurityKeyResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    AssociateSecurityKeyCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1AssociateSecurityKeyCommand(input, context);
    };
    AssociateSecurityKeyCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1AssociateSecurityKeyCommand(output, context);
    };
    return AssociateSecurityKeyCommand;
}($Command));
export { AssociateSecurityKeyCommand };
