import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateHoursOfOperationRequest, CreateHoursOfOperationResponse } from "../models/models_0";
import { deserializeAws_restJson1CreateHoursOfOperationCommand, serializeAws_restJson1CreateHoursOfOperationCommand, } from "../protocols/Aws_restJson1";
var CreateHoursOfOperationCommand = (function (_super) {
    __extends(CreateHoursOfOperationCommand, _super);
    function CreateHoursOfOperationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateHoursOfOperationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "CreateHoursOfOperationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateHoursOfOperationRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateHoursOfOperationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateHoursOfOperationCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1CreateHoursOfOperationCommand(input, context);
    };
    CreateHoursOfOperationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1CreateHoursOfOperationCommand(output, context);
    };
    return CreateHoursOfOperationCommand;
}($Command));
export { CreateHoursOfOperationCommand };
