import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateInstanceRequest, CreateInstanceResponse } from "../models/models_0";
import { deserializeAws_restJson1CreateInstanceCommand, serializeAws_restJson1CreateInstanceCommand, } from "../protocols/Aws_restJson1";
var CreateInstanceCommand = (function (_super) {
    __extends(CreateInstanceCommand, _super);
    function CreateInstanceCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "CreateInstanceCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateInstanceRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateInstanceResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateInstanceCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1CreateInstanceCommand(input, context);
    };
    CreateInstanceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1CreateInstanceCommand(output, context);
    };
    return CreateInstanceCommand;
}($Command));
export { CreateInstanceCommand };
