import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateRoutingProfileRequest, CreateRoutingProfileResponse } from "../models/models_0";
import { deserializeAws_restJson1CreateRoutingProfileCommand, serializeAws_restJson1CreateRoutingProfileCommand, } from "../protocols/Aws_restJson1";
var CreateRoutingProfileCommand = (function (_super) {
    __extends(CreateRoutingProfileCommand, _super);
    function CreateRoutingProfileCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateRoutingProfileCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "CreateRoutingProfileCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateRoutingProfileRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateRoutingProfileResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateRoutingProfileCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1CreateRoutingProfileCommand(input, context);
    };
    CreateRoutingProfileCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1CreateRoutingProfileCommand(output, context);
    };
    return CreateRoutingProfileCommand;
}($Command));
export { CreateRoutingProfileCommand };
