import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateSecurityProfileRequest, CreateSecurityProfileResponse } from "../models/models_0";
import { deserializeAws_restJson1CreateSecurityProfileCommand, serializeAws_restJson1CreateSecurityProfileCommand, } from "../protocols/Aws_restJson1";
var CreateSecurityProfileCommand = (function (_super) {
    __extends(CreateSecurityProfileCommand, _super);
    function CreateSecurityProfileCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateSecurityProfileCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "CreateSecurityProfileCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateSecurityProfileRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateSecurityProfileResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateSecurityProfileCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1CreateSecurityProfileCommand(input, context);
    };
    CreateSecurityProfileCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1CreateSecurityProfileCommand(output, context);
    };
    return CreateSecurityProfileCommand;
}($Command));
export { CreateSecurityProfileCommand };
