import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateUseCaseRequest, CreateUseCaseResponse } from "../models/models_0";
import { deserializeAws_restJson1CreateUseCaseCommand, serializeAws_restJson1CreateUseCaseCommand, } from "../protocols/Aws_restJson1";
var CreateUseCaseCommand = (function (_super) {
    __extends(CreateUseCaseCommand, _super);
    function CreateUseCaseCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateUseCaseCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "CreateUseCaseCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateUseCaseRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateUseCaseResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateUseCaseCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1CreateUseCaseCommand(input, context);
    };
    CreateUseCaseCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1CreateUseCaseCommand(output, context);
    };
    return CreateUseCaseCommand;
}($Command));
export { CreateUseCaseCommand };
