import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteContactFlowModuleRequest, DeleteContactFlowModuleResponse } from "../models/models_0";
import { deserializeAws_restJson1DeleteContactFlowModuleCommand, serializeAws_restJson1DeleteContactFlowModuleCommand, } from "../protocols/Aws_restJson1";
var DeleteContactFlowModuleCommand = (function (_super) {
    __extends(DeleteContactFlowModuleCommand, _super);
    function DeleteContactFlowModuleCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteContactFlowModuleCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "DeleteContactFlowModuleCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteContactFlowModuleRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteContactFlowModuleResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteContactFlowModuleCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DeleteContactFlowModuleCommand(input, context);
    };
    DeleteContactFlowModuleCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DeleteContactFlowModuleCommand(output, context);
    };
    return DeleteContactFlowModuleCommand;
}($Command));
export { DeleteContactFlowModuleCommand };
