import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeAgentStatusRequest, DescribeAgentStatusResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeAgentStatusCommand, serializeAws_restJson1DescribeAgentStatusCommand, } from "../protocols/Aws_restJson1";
var DescribeAgentStatusCommand = (function (_super) {
    __extends(DescribeAgentStatusCommand, _super);
    function DescribeAgentStatusCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeAgentStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "DescribeAgentStatusCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeAgentStatusRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeAgentStatusResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeAgentStatusCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeAgentStatusCommand(input, context);
    };
    DescribeAgentStatusCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeAgentStatusCommand(output, context);
    };
    return DescribeAgentStatusCommand;
}($Command));
export { DescribeAgentStatusCommand };
