import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeContactRequest, DescribeContactResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeContactCommand, serializeAws_restJson1DescribeContactCommand, } from "../protocols/Aws_restJson1";
var DescribeContactCommand = (function (_super) {
    __extends(DescribeContactCommand, _super);
    function DescribeContactCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeContactCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "DescribeContactCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeContactRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeContactResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeContactCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeContactCommand(input, context);
    };
    DescribeContactCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeContactCommand(output, context);
    };
    return DescribeContactCommand;
}($Command));
export { DescribeContactCommand };
