import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeQueueRequest, DescribeQueueResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeQueueCommand, serializeAws_restJson1DescribeQueueCommand, } from "../protocols/Aws_restJson1";
var DescribeQueueCommand = (function (_super) {
    __extends(DescribeQueueCommand, _super);
    function DescribeQueueCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeQueueCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "DescribeQueueCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeQueueRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeQueueResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeQueueCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeQueueCommand(input, context);
    };
    DescribeQueueCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeQueueCommand(output, context);
    };
    return DescribeQueueCommand;
}($Command));
export { DescribeQueueCommand };
