import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeSecurityProfileRequest, DescribeSecurityProfileResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeSecurityProfileCommand, serializeAws_restJson1DescribeSecurityProfileCommand, } from "../protocols/Aws_restJson1";
var DescribeSecurityProfileCommand = (function (_super) {
    __extends(DescribeSecurityProfileCommand, _super);
    function DescribeSecurityProfileCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeSecurityProfileCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "DescribeSecurityProfileCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeSecurityProfileRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeSecurityProfileResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeSecurityProfileCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeSecurityProfileCommand(input, context);
    };
    DescribeSecurityProfileCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeSecurityProfileCommand(output, context);
    };
    return DescribeSecurityProfileCommand;
}($Command));
export { DescribeSecurityProfileCommand };
