import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DisassociateBotRequest } from "../models/models_0";
import { deserializeAws_restJson1DisassociateBotCommand, serializeAws_restJson1DisassociateBotCommand, } from "../protocols/Aws_restJson1";
var DisassociateBotCommand = (function (_super) {
    __extends(DisassociateBotCommand, _super);
    function DisassociateBotCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DisassociateBotCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "DisassociateBotCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DisassociateBotRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DisassociateBotCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DisassociateBotCommand(input, context);
    };
    DisassociateBotCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DisassociateBotCommand(output, context);
    };
    return DisassociateBotCommand;
}($Command));
export { DisassociateBotCommand };
