import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DisassociateLambdaFunctionRequest } from "../models/models_0";
import { deserializeAws_restJson1DisassociateLambdaFunctionCommand, serializeAws_restJson1DisassociateLambdaFunctionCommand, } from "../protocols/Aws_restJson1";
var DisassociateLambdaFunctionCommand = (function (_super) {
    __extends(DisassociateLambdaFunctionCommand, _super);
    function DisassociateLambdaFunctionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DisassociateLambdaFunctionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "DisassociateLambdaFunctionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DisassociateLambdaFunctionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DisassociateLambdaFunctionCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DisassociateLambdaFunctionCommand(input, context);
    };
    DisassociateLambdaFunctionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DisassociateLambdaFunctionCommand(output, context);
    };
    return DisassociateLambdaFunctionCommand;
}($Command));
export { DisassociateLambdaFunctionCommand };
