import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetContactAttributesRequest, GetContactAttributesResponse } from "../models/models_0";
import { deserializeAws_restJson1GetContactAttributesCommand, serializeAws_restJson1GetContactAttributesCommand, } from "../protocols/Aws_restJson1";
var GetContactAttributesCommand = (function (_super) {
    __extends(GetContactAttributesCommand, _super);
    function GetContactAttributesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetContactAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "GetContactAttributesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetContactAttributesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetContactAttributesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetContactAttributesCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1GetContactAttributesCommand(input, context);
    };
    GetContactAttributesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1GetContactAttributesCommand(output, context);
    };
    return GetContactAttributesCommand;
}($Command));
export { GetContactAttributesCommand };
