import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetCurrentMetricDataRequest, GetCurrentMetricDataResponse } from "../models/models_0";
import { deserializeAws_restJson1GetCurrentMetricDataCommand, serializeAws_restJson1GetCurrentMetricDataCommand, } from "../protocols/Aws_restJson1";
var GetCurrentMetricDataCommand = (function (_super) {
    __extends(GetCurrentMetricDataCommand, _super);
    function GetCurrentMetricDataCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetCurrentMetricDataCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "GetCurrentMetricDataCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetCurrentMetricDataRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetCurrentMetricDataResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetCurrentMetricDataCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1GetCurrentMetricDataCommand(input, context);
    };
    GetCurrentMetricDataCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1GetCurrentMetricDataCommand(output, context);
    };
    return GetCurrentMetricDataCommand;
}($Command));
export { GetCurrentMetricDataCommand };
