import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListAgentStatusRequest, ListAgentStatusResponse } from "../models/models_0";
import { deserializeAws_restJson1ListAgentStatusesCommand, serializeAws_restJson1ListAgentStatusesCommand, } from "../protocols/Aws_restJson1";
var ListAgentStatusesCommand = (function (_super) {
    __extends(ListAgentStatusesCommand, _super);
    function ListAgentStatusesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListAgentStatusesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ListAgentStatusesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListAgentStatusRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListAgentStatusResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListAgentStatusesCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListAgentStatusesCommand(input, context);
    };
    ListAgentStatusesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListAgentStatusesCommand(output, context);
    };
    return ListAgentStatusesCommand;
}($Command));
export { ListAgentStatusesCommand };
