import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListApprovedOriginsRequest, ListApprovedOriginsResponse } from "../models/models_0";
import { deserializeAws_restJson1ListApprovedOriginsCommand, serializeAws_restJson1ListApprovedOriginsCommand, } from "../protocols/Aws_restJson1";
var ListApprovedOriginsCommand = (function (_super) {
    __extends(ListApprovedOriginsCommand, _super);
    function ListApprovedOriginsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListApprovedOriginsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ListApprovedOriginsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListApprovedOriginsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListApprovedOriginsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListApprovedOriginsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListApprovedOriginsCommand(input, context);
    };
    ListApprovedOriginsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListApprovedOriginsCommand(output, context);
    };
    return ListApprovedOriginsCommand;
}($Command));
export { ListApprovedOriginsCommand };
