import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListContactFlowModulesRequest, ListContactFlowModulesResponse } from "../models/models_0";
import { deserializeAws_restJson1ListContactFlowModulesCommand, serializeAws_restJson1ListContactFlowModulesCommand, } from "../protocols/Aws_restJson1";
var ListContactFlowModulesCommand = (function (_super) {
    __extends(ListContactFlowModulesCommand, _super);
    function ListContactFlowModulesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListContactFlowModulesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ListContactFlowModulesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListContactFlowModulesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListContactFlowModulesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListContactFlowModulesCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListContactFlowModulesCommand(input, context);
    };
    ListContactFlowModulesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListContactFlowModulesCommand(output, context);
    };
    return ListContactFlowModulesCommand;
}($Command));
export { ListContactFlowModulesCommand };
