import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListContactFlowsRequest, ListContactFlowsResponse } from "../models/models_0";
import { deserializeAws_restJson1ListContactFlowsCommand, serializeAws_restJson1ListContactFlowsCommand, } from "../protocols/Aws_restJson1";
var ListContactFlowsCommand = (function (_super) {
    __extends(ListContactFlowsCommand, _super);
    function ListContactFlowsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListContactFlowsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ListContactFlowsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListContactFlowsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListContactFlowsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListContactFlowsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListContactFlowsCommand(input, context);
    };
    ListContactFlowsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListContactFlowsCommand(output, context);
    };
    return ListContactFlowsCommand;
}($Command));
export { ListContactFlowsCommand };
