import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListHoursOfOperationsRequest, ListHoursOfOperationsResponse } from "../models/models_0";
import { deserializeAws_restJson1ListHoursOfOperationsCommand, serializeAws_restJson1ListHoursOfOperationsCommand, } from "../protocols/Aws_restJson1";
var ListHoursOfOperationsCommand = (function (_super) {
    __extends(ListHoursOfOperationsCommand, _super);
    function ListHoursOfOperationsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListHoursOfOperationsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ListHoursOfOperationsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListHoursOfOperationsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListHoursOfOperationsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListHoursOfOperationsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListHoursOfOperationsCommand(input, context);
    };
    ListHoursOfOperationsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListHoursOfOperationsCommand(output, context);
    };
    return ListHoursOfOperationsCommand;
}($Command));
export { ListHoursOfOperationsCommand };
