import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListInstanceAttributesRequest, ListInstanceAttributesResponse } from "../models/models_0";
import { deserializeAws_restJson1ListInstanceAttributesCommand, serializeAws_restJson1ListInstanceAttributesCommand, } from "../protocols/Aws_restJson1";
var ListInstanceAttributesCommand = (function (_super) {
    __extends(ListInstanceAttributesCommand, _super);
    function ListInstanceAttributesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListInstanceAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ListInstanceAttributesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListInstanceAttributesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListInstanceAttributesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListInstanceAttributesCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListInstanceAttributesCommand(input, context);
    };
    ListInstanceAttributesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListInstanceAttributesCommand(output, context);
    };
    return ListInstanceAttributesCommand;
}($Command));
export { ListInstanceAttributesCommand };
