import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListInstanceStorageConfigsRequest, ListInstanceStorageConfigsResponse } from "../models/models_0";
import { deserializeAws_restJson1ListInstanceStorageConfigsCommand, serializeAws_restJson1ListInstanceStorageConfigsCommand, } from "../protocols/Aws_restJson1";
var ListInstanceStorageConfigsCommand = (function (_super) {
    __extends(ListInstanceStorageConfigsCommand, _super);
    function ListInstanceStorageConfigsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListInstanceStorageConfigsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ListInstanceStorageConfigsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListInstanceStorageConfigsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListInstanceStorageConfigsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListInstanceStorageConfigsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListInstanceStorageConfigsCommand(input, context);
    };
    ListInstanceStorageConfigsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListInstanceStorageConfigsCommand(output, context);
    };
    return ListInstanceStorageConfigsCommand;
}($Command));
export { ListInstanceStorageConfigsCommand };
