import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListInstancesRequest, ListInstancesResponse } from "../models/models_0";
import { deserializeAws_restJson1ListInstancesCommand, serializeAws_restJson1ListInstancesCommand, } from "../protocols/Aws_restJson1";
var ListInstancesCommand = (function (_super) {
    __extends(ListInstancesCommand, _super);
    function ListInstancesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ListInstancesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListInstancesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListInstancesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListInstancesCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListInstancesCommand(input, context);
    };
    ListInstancesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListInstancesCommand(output, context);
    };
    return ListInstancesCommand;
}($Command));
export { ListInstancesCommand };
