import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListIntegrationAssociationsRequest, ListIntegrationAssociationsResponse } from "../models/models_0";
import { deserializeAws_restJson1ListIntegrationAssociationsCommand, serializeAws_restJson1ListIntegrationAssociationsCommand, } from "../protocols/Aws_restJson1";
var ListIntegrationAssociationsCommand = (function (_super) {
    __extends(ListIntegrationAssociationsCommand, _super);
    function ListIntegrationAssociationsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListIntegrationAssociationsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ListIntegrationAssociationsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListIntegrationAssociationsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListIntegrationAssociationsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListIntegrationAssociationsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListIntegrationAssociationsCommand(input, context);
    };
    ListIntegrationAssociationsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListIntegrationAssociationsCommand(output, context);
    };
    return ListIntegrationAssociationsCommand;
}($Command));
export { ListIntegrationAssociationsCommand };
