import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListLambdaFunctionsRequest, ListLambdaFunctionsResponse } from "../models/models_0";
import { deserializeAws_restJson1ListLambdaFunctionsCommand, serializeAws_restJson1ListLambdaFunctionsCommand, } from "../protocols/Aws_restJson1";
var ListLambdaFunctionsCommand = (function (_super) {
    __extends(ListLambdaFunctionsCommand, _super);
    function ListLambdaFunctionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListLambdaFunctionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ListLambdaFunctionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListLambdaFunctionsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListLambdaFunctionsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListLambdaFunctionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListLambdaFunctionsCommand(input, context);
    };
    ListLambdaFunctionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListLambdaFunctionsCommand(output, context);
    };
    return ListLambdaFunctionsCommand;
}($Command));
export { ListLambdaFunctionsCommand };
