import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListQuickConnectsRequest, ListQuickConnectsResponse } from "../models/models_0";
import { deserializeAws_restJson1ListQuickConnectsCommand, serializeAws_restJson1ListQuickConnectsCommand, } from "../protocols/Aws_restJson1";
var ListQuickConnectsCommand = (function (_super) {
    __extends(ListQuickConnectsCommand, _super);
    function ListQuickConnectsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListQuickConnectsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ListQuickConnectsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListQuickConnectsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListQuickConnectsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListQuickConnectsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListQuickConnectsCommand(input, context);
    };
    ListQuickConnectsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListQuickConnectsCommand(output, context);
    };
    return ListQuickConnectsCommand;
}($Command));
export { ListQuickConnectsCommand };
