import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListRoutingProfileQueuesRequest, ListRoutingProfileQueuesResponse } from "../models/models_0";
import { deserializeAws_restJson1ListRoutingProfileQueuesCommand, serializeAws_restJson1ListRoutingProfileQueuesCommand, } from "../protocols/Aws_restJson1";
var ListRoutingProfileQueuesCommand = (function (_super) {
    __extends(ListRoutingProfileQueuesCommand, _super);
    function ListRoutingProfileQueuesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListRoutingProfileQueuesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ListRoutingProfileQueuesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListRoutingProfileQueuesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListRoutingProfileQueuesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListRoutingProfileQueuesCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListRoutingProfileQueuesCommand(input, context);
    };
    ListRoutingProfileQueuesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListRoutingProfileQueuesCommand(output, context);
    };
    return ListRoutingProfileQueuesCommand;
}($Command));
export { ListRoutingProfileQueuesCommand };
