import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListSecurityProfilePermissionsRequest, ListSecurityProfilePermissionsResponse } from "../models/models_0";
import { deserializeAws_restJson1ListSecurityProfilePermissionsCommand, serializeAws_restJson1ListSecurityProfilePermissionsCommand, } from "../protocols/Aws_restJson1";
var ListSecurityProfilePermissionsCommand = (function (_super) {
    __extends(ListSecurityProfilePermissionsCommand, _super);
    function ListSecurityProfilePermissionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListSecurityProfilePermissionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ListSecurityProfilePermissionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListSecurityProfilePermissionsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListSecurityProfilePermissionsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListSecurityProfilePermissionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListSecurityProfilePermissionsCommand(input, context);
    };
    ListSecurityProfilePermissionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListSecurityProfilePermissionsCommand(output, context);
    };
    return ListSecurityProfilePermissionsCommand;
}($Command));
export { ListSecurityProfilePermissionsCommand };
