import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListUseCasesRequest, ListUseCasesResponse } from "../models/models_0";
import { deserializeAws_restJson1ListUseCasesCommand, serializeAws_restJson1ListUseCasesCommand, } from "../protocols/Aws_restJson1";
var ListUseCasesCommand = (function (_super) {
    __extends(ListUseCasesCommand, _super);
    function ListUseCasesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListUseCasesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ListUseCasesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListUseCasesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListUseCasesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListUseCasesCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListUseCasesCommand(input, context);
    };
    ListUseCasesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListUseCasesCommand(output, context);
    };
    return ListUseCasesCommand;
}($Command));
export { ListUseCasesCommand };
