import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListUserHierarchyGroupsRequest, ListUserHierarchyGroupsResponse } from "../models/models_0";
import { deserializeAws_restJson1ListUserHierarchyGroupsCommand, serializeAws_restJson1ListUserHierarchyGroupsCommand, } from "../protocols/Aws_restJson1";
var ListUserHierarchyGroupsCommand = (function (_super) {
    __extends(ListUserHierarchyGroupsCommand, _super);
    function ListUserHierarchyGroupsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListUserHierarchyGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ListUserHierarchyGroupsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListUserHierarchyGroupsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListUserHierarchyGroupsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListUserHierarchyGroupsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListUserHierarchyGroupsCommand(input, context);
    };
    ListUserHierarchyGroupsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListUserHierarchyGroupsCommand(output, context);
    };
    return ListUserHierarchyGroupsCommand;
}($Command));
export { ListUserHierarchyGroupsCommand };
