import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ResumeContactRecordingRequest, ResumeContactRecordingResponse } from "../models/models_0";
import { deserializeAws_restJson1ResumeContactRecordingCommand, serializeAws_restJson1ResumeContactRecordingCommand, } from "../protocols/Aws_restJson1";
var ResumeContactRecordingCommand = (function (_super) {
    __extends(ResumeContactRecordingCommand, _super);
    function ResumeContactRecordingCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ResumeContactRecordingCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "ResumeContactRecordingCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ResumeContactRecordingRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ResumeContactRecordingResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ResumeContactRecordingCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ResumeContactRecordingCommand(input, context);
    };
    ResumeContactRecordingCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ResumeContactRecordingCommand(output, context);
    };
    return ResumeContactRecordingCommand;
}($Command));
export { ResumeContactRecordingCommand };
