import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { StopContactRecordingRequest, StopContactRecordingResponse } from "../models/models_1";
import { deserializeAws_restJson1StopContactRecordingCommand, serializeAws_restJson1StopContactRecordingCommand, } from "../protocols/Aws_restJson1";
var StopContactRecordingCommand = (function (_super) {
    __extends(StopContactRecordingCommand, _super);
    function StopContactRecordingCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    StopContactRecordingCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "StopContactRecordingCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: StopContactRecordingRequest.filterSensitiveLog,
            outputFilterSensitiveLog: StopContactRecordingResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    StopContactRecordingCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1StopContactRecordingCommand(input, context);
    };
    StopContactRecordingCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1StopContactRecordingCommand(output, context);
    };
    return StopContactRecordingCommand;
}($Command));
export { StopContactRecordingCommand };
