import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SuspendContactRecordingRequest, SuspendContactRecordingResponse } from "../models/models_1";
import { deserializeAws_restJson1SuspendContactRecordingCommand, serializeAws_restJson1SuspendContactRecordingCommand, } from "../protocols/Aws_restJson1";
var SuspendContactRecordingCommand = (function (_super) {
    __extends(SuspendContactRecordingCommand, _super);
    function SuspendContactRecordingCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SuspendContactRecordingCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "SuspendContactRecordingCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SuspendContactRecordingRequest.filterSensitiveLog,
            outputFilterSensitiveLog: SuspendContactRecordingResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SuspendContactRecordingCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1SuspendContactRecordingCommand(input, context);
    };
    SuspendContactRecordingCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1SuspendContactRecordingCommand(output, context);
    };
    return SuspendContactRecordingCommand;
}($Command));
export { SuspendContactRecordingCommand };
