import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateContactFlowModuleContentRequest, UpdateContactFlowModuleContentResponse } from "../models/models_1";
import { deserializeAws_restJson1UpdateContactFlowModuleContentCommand, serializeAws_restJson1UpdateContactFlowModuleContentCommand, } from "../protocols/Aws_restJson1";
var UpdateContactFlowModuleContentCommand = (function (_super) {
    __extends(UpdateContactFlowModuleContentCommand, _super);
    function UpdateContactFlowModuleContentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateContactFlowModuleContentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "UpdateContactFlowModuleContentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateContactFlowModuleContentRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateContactFlowModuleContentResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateContactFlowModuleContentCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateContactFlowModuleContentCommand(input, context);
    };
    UpdateContactFlowModuleContentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateContactFlowModuleContentCommand(output, context);
    };
    return UpdateContactFlowModuleContentCommand;
}($Command));
export { UpdateContactFlowModuleContentCommand };
