import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateInstanceStorageConfigRequest } from "../models/models_1";
import { deserializeAws_restJson1UpdateInstanceStorageConfigCommand, serializeAws_restJson1UpdateInstanceStorageConfigCommand, } from "../protocols/Aws_restJson1";
var UpdateInstanceStorageConfigCommand = (function (_super) {
    __extends(UpdateInstanceStorageConfigCommand, _super);
    function UpdateInstanceStorageConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateInstanceStorageConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "UpdateInstanceStorageConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateInstanceStorageConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateInstanceStorageConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateInstanceStorageConfigCommand(input, context);
    };
    UpdateInstanceStorageConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateInstanceStorageConfigCommand(output, context);
    };
    return UpdateInstanceStorageConfigCommand;
}($Command));
export { UpdateInstanceStorageConfigCommand };
