import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateQueueMaxContactsRequest } from "../models/models_1";
import { deserializeAws_restJson1UpdateQueueMaxContactsCommand, serializeAws_restJson1UpdateQueueMaxContactsCommand, } from "../protocols/Aws_restJson1";
var UpdateQueueMaxContactsCommand = (function (_super) {
    __extends(UpdateQueueMaxContactsCommand, _super);
    function UpdateQueueMaxContactsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateQueueMaxContactsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "UpdateQueueMaxContactsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateQueueMaxContactsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateQueueMaxContactsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateQueueMaxContactsCommand(input, context);
    };
    UpdateQueueMaxContactsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateQueueMaxContactsCommand(output, context);
    };
    return UpdateQueueMaxContactsCommand;
}($Command));
export { UpdateQueueMaxContactsCommand };
