import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateQueueNameRequest } from "../models/models_1";
import { deserializeAws_restJson1UpdateQueueNameCommand, serializeAws_restJson1UpdateQueueNameCommand, } from "../protocols/Aws_restJson1";
var UpdateQueueNameCommand = (function (_super) {
    __extends(UpdateQueueNameCommand, _super);
    function UpdateQueueNameCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateQueueNameCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "UpdateQueueNameCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateQueueNameRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateQueueNameCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateQueueNameCommand(input, context);
    };
    UpdateQueueNameCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateQueueNameCommand(output, context);
    };
    return UpdateQueueNameCommand;
}($Command));
export { UpdateQueueNameCommand };
