import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateQueueOutboundCallerConfigRequest } from "../models/models_1";
import { deserializeAws_restJson1UpdateQueueOutboundCallerConfigCommand, serializeAws_restJson1UpdateQueueOutboundCallerConfigCommand, } from "../protocols/Aws_restJson1";
var UpdateQueueOutboundCallerConfigCommand = (function (_super) {
    __extends(UpdateQueueOutboundCallerConfigCommand, _super);
    function UpdateQueueOutboundCallerConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateQueueOutboundCallerConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "UpdateQueueOutboundCallerConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateQueueOutboundCallerConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateQueueOutboundCallerConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateQueueOutboundCallerConfigCommand(input, context);
    };
    UpdateQueueOutboundCallerConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateQueueOutboundCallerConfigCommand(output, context);
    };
    return UpdateQueueOutboundCallerConfigCommand;
}($Command));
export { UpdateQueueOutboundCallerConfigCommand };
