import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateQuickConnectNameRequest } from "../models/models_1";
import { deserializeAws_restJson1UpdateQuickConnectNameCommand, serializeAws_restJson1UpdateQuickConnectNameCommand, } from "../protocols/Aws_restJson1";
var UpdateQuickConnectNameCommand = (function (_super) {
    __extends(UpdateQuickConnectNameCommand, _super);
    function UpdateQuickConnectNameCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateQuickConnectNameCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "UpdateQuickConnectNameCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateQuickConnectNameRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateQuickConnectNameCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateQuickConnectNameCommand(input, context);
    };
    UpdateQuickConnectNameCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateQuickConnectNameCommand(output, context);
    };
    return UpdateQuickConnectNameCommand;
}($Command));
export { UpdateQuickConnectNameCommand };
