import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateRoutingProfileConcurrencyRequest } from "../models/models_1";
import { deserializeAws_restJson1UpdateRoutingProfileConcurrencyCommand, serializeAws_restJson1UpdateRoutingProfileConcurrencyCommand, } from "../protocols/Aws_restJson1";
var UpdateRoutingProfileConcurrencyCommand = (function (_super) {
    __extends(UpdateRoutingProfileConcurrencyCommand, _super);
    function UpdateRoutingProfileConcurrencyCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateRoutingProfileConcurrencyCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "UpdateRoutingProfileConcurrencyCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateRoutingProfileConcurrencyRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateRoutingProfileConcurrencyCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateRoutingProfileConcurrencyCommand(input, context);
    };
    UpdateRoutingProfileConcurrencyCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateRoutingProfileConcurrencyCommand(output, context);
    };
    return UpdateRoutingProfileConcurrencyCommand;
}($Command));
export { UpdateRoutingProfileConcurrencyCommand };
