import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateRoutingProfileQueuesRequest } from "../models/models_1";
import { deserializeAws_restJson1UpdateRoutingProfileQueuesCommand, serializeAws_restJson1UpdateRoutingProfileQueuesCommand, } from "../protocols/Aws_restJson1";
var UpdateRoutingProfileQueuesCommand = (function (_super) {
    __extends(UpdateRoutingProfileQueuesCommand, _super);
    function UpdateRoutingProfileQueuesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateRoutingProfileQueuesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "UpdateRoutingProfileQueuesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateRoutingProfileQueuesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateRoutingProfileQueuesCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateRoutingProfileQueuesCommand(input, context);
    };
    UpdateRoutingProfileQueuesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateRoutingProfileQueuesCommand(output, context);
    };
    return UpdateRoutingProfileQueuesCommand;
}($Command));
export { UpdateRoutingProfileQueuesCommand };
