import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateUserHierarchyRequest } from "../models/models_1";
import { deserializeAws_restJson1UpdateUserHierarchyCommand, serializeAws_restJson1UpdateUserHierarchyCommand, } from "../protocols/Aws_restJson1";
var UpdateUserHierarchyCommand = (function (_super) {
    __extends(UpdateUserHierarchyCommand, _super);
    function UpdateUserHierarchyCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateUserHierarchyCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "UpdateUserHierarchyCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateUserHierarchyRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateUserHierarchyCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateUserHierarchyCommand(input, context);
    };
    UpdateUserHierarchyCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateUserHierarchyCommand(output, context);
    };
    return UpdateUserHierarchyCommand;
}($Command));
export { UpdateUserHierarchyCommand };
