import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateUserHierarchyGroupNameRequest } from "../models/models_1";
import { deserializeAws_restJson1UpdateUserHierarchyGroupNameCommand, serializeAws_restJson1UpdateUserHierarchyGroupNameCommand, } from "../protocols/Aws_restJson1";
var UpdateUserHierarchyGroupNameCommand = (function (_super) {
    __extends(UpdateUserHierarchyGroupNameCommand, _super);
    function UpdateUserHierarchyGroupNameCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateUserHierarchyGroupNameCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "UpdateUserHierarchyGroupNameCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateUserHierarchyGroupNameRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateUserHierarchyGroupNameCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateUserHierarchyGroupNameCommand(input, context);
    };
    UpdateUserHierarchyGroupNameCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateUserHierarchyGroupNameCommand(output, context);
    };
    return UpdateUserHierarchyGroupNameCommand;
}($Command));
export { UpdateUserHierarchyGroupNameCommand };
