import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateUserIdentityInfoRequest } from "../models/models_1";
import { deserializeAws_restJson1UpdateUserIdentityInfoCommand, serializeAws_restJson1UpdateUserIdentityInfoCommand, } from "../protocols/Aws_restJson1";
var UpdateUserIdentityInfoCommand = (function (_super) {
    __extends(UpdateUserIdentityInfoCommand, _super);
    function UpdateUserIdentityInfoCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateUserIdentityInfoCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "UpdateUserIdentityInfoCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateUserIdentityInfoRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateUserIdentityInfoCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateUserIdentityInfoCommand(input, context);
    };
    UpdateUserIdentityInfoCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateUserIdentityInfoCommand(output, context);
    };
    return UpdateUserIdentityInfoCommand;
}($Command));
export { UpdateUserIdentityInfoCommand };
