import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateUserRoutingProfileRequest } from "../models/models_1";
import { deserializeAws_restJson1UpdateUserRoutingProfileCommand, serializeAws_restJson1UpdateUserRoutingProfileCommand, } from "../protocols/Aws_restJson1";
var UpdateUserRoutingProfileCommand = (function (_super) {
    __extends(UpdateUserRoutingProfileCommand, _super);
    function UpdateUserRoutingProfileCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateUserRoutingProfileCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "UpdateUserRoutingProfileCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateUserRoutingProfileRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateUserRoutingProfileCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateUserRoutingProfileCommand(input, context);
    };
    UpdateUserRoutingProfileCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateUserRoutingProfileCommand(output, context);
    };
    return UpdateUserRoutingProfileCommand;
}($Command));
export { UpdateUserRoutingProfileCommand };
