import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateUserSecurityProfilesRequest } from "../models/models_1";
import { deserializeAws_restJson1UpdateUserSecurityProfilesCommand, serializeAws_restJson1UpdateUserSecurityProfilesCommand, } from "../protocols/Aws_restJson1";
var UpdateUserSecurityProfilesCommand = (function (_super) {
    __extends(UpdateUserSecurityProfilesCommand, _super);
    function UpdateUserSecurityProfilesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateUserSecurityProfilesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ConnectClient";
        var commandName = "UpdateUserSecurityProfilesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateUserSecurityProfilesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateUserSecurityProfilesCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateUserSecurityProfilesCommand(input, context);
    };
    UpdateUserSecurityProfilesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateUserSecurityProfilesCommand(output, context);
    };
    return UpdateUserSecurityProfilesCommand;
}($Command));
export { UpdateUserSecurityProfilesCommand };
