import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { CreateAgentStatusRequest, CreateAgentStatusResponse } from "../models/models_0";
export interface CreateAgentStatusCommandInput extends CreateAgentStatusRequest {
}
export interface CreateAgentStatusCommandOutput extends CreateAgentStatusResponse, __MetadataBearer {
}
/**
 * <p>This API is in preview release for Amazon Connect and is subject to change.</p>
 *          <p>Creates an agent status for the specified Amazon Connect instance.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { ConnectClient, CreateAgentStatusCommand } from "@aws-sdk/client-connect"; // ES Modules import
 * // const { ConnectClient, CreateAgentStatusCommand } = require("@aws-sdk/client-connect"); // CommonJS import
 * const client = new ConnectClient(config);
 * const command = new CreateAgentStatusCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link CreateAgentStatusCommandInput} for command's `input` shape.
 * @see {@link CreateAgentStatusCommandOutput} for command's `response` shape.
 * @see {@link ConnectClientResolvedConfig | config} for ConnectClient's `config` shape.
 *
 */
export declare class CreateAgentStatusCommand extends $Command<CreateAgentStatusCommandInput, CreateAgentStatusCommandOutput, ConnectClientResolvedConfig> {
    readonly input: CreateAgentStatusCommandInput;
    constructor(input: CreateAgentStatusCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateAgentStatusCommandInput, CreateAgentStatusCommandOutput>;
    private serialize;
    private deserialize;
}
