import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { CreateContactFlowModuleRequest, CreateContactFlowModuleResponse } from "../models/models_0";
export interface CreateContactFlowModuleCommandInput extends CreateContactFlowModuleRequest {
}
export interface CreateContactFlowModuleCommandOutput extends CreateContactFlowModuleResponse, __MetadataBearer {
}
/**
 * <p>Creates a contact flow module for the specified Amazon Connect instance. </p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { ConnectClient, CreateContactFlowModuleCommand } from "@aws-sdk/client-connect"; // ES Modules import
 * // const { ConnectClient, CreateContactFlowModuleCommand } = require("@aws-sdk/client-connect"); // CommonJS import
 * const client = new ConnectClient(config);
 * const command = new CreateContactFlowModuleCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link CreateContactFlowModuleCommandInput} for command's `input` shape.
 * @see {@link CreateContactFlowModuleCommandOutput} for command's `response` shape.
 * @see {@link ConnectClientResolvedConfig | config} for ConnectClient's `config` shape.
 *
 */
export declare class CreateContactFlowModuleCommand extends $Command<CreateContactFlowModuleCommandInput, CreateContactFlowModuleCommandOutput, ConnectClientResolvedConfig> {
    readonly input: CreateContactFlowModuleCommandInput;
    constructor(input: CreateContactFlowModuleCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateContactFlowModuleCommandInput, CreateContactFlowModuleCommandOutput>;
    private serialize;
    private deserialize;
}
