import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DeleteContactFlowRequest } from "../models/models_0";
export interface DeleteContactFlowCommandInput extends DeleteContactFlowRequest {
}
export interface DeleteContactFlowCommandOutput extends __MetadataBearer {
}
/**
 * <p>Deletes a contact flow for the specified Amazon Connect instance.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { ConnectClient, DeleteContactFlowCommand } from "@aws-sdk/client-connect"; // ES Modules import
 * // const { ConnectClient, DeleteContactFlowCommand } = require("@aws-sdk/client-connect"); // CommonJS import
 * const client = new ConnectClient(config);
 * const command = new DeleteContactFlowCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link DeleteContactFlowCommandInput} for command's `input` shape.
 * @see {@link DeleteContactFlowCommandOutput} for command's `response` shape.
 * @see {@link ConnectClientResolvedConfig | config} for ConnectClient's `config` shape.
 *
 */
export declare class DeleteContactFlowCommand extends $Command<DeleteContactFlowCommandInput, DeleteContactFlowCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DeleteContactFlowCommandInput;
    constructor(input: DeleteContactFlowCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteContactFlowCommandInput, DeleteContactFlowCommandOutput>;
    private serialize;
    private deserialize;
}
