import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DeleteContactFlowModuleRequest, DeleteContactFlowModuleResponse } from "../models/models_0";
export interface DeleteContactFlowModuleCommandInput extends DeleteContactFlowModuleRequest {
}
export interface DeleteContactFlowModuleCommandOutput extends DeleteContactFlowModuleResponse, __MetadataBearer {
}
/**
 * <p>Deletes the specified contact flow module.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { ConnectClient, DeleteContactFlowModuleCommand } from "@aws-sdk/client-connect"; // ES Modules import
 * // const { ConnectClient, DeleteContactFlowModuleCommand } = require("@aws-sdk/client-connect"); // CommonJS import
 * const client = new ConnectClient(config);
 * const command = new DeleteContactFlowModuleCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link DeleteContactFlowModuleCommandInput} for command's `input` shape.
 * @see {@link DeleteContactFlowModuleCommandOutput} for command's `response` shape.
 * @see {@link ConnectClientResolvedConfig | config} for ConnectClient's `config` shape.
 *
 */
export declare class DeleteContactFlowModuleCommand extends $Command<DeleteContactFlowModuleCommandInput, DeleteContactFlowModuleCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DeleteContactFlowModuleCommandInput;
    constructor(input: DeleteContactFlowModuleCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteContactFlowModuleCommandInput, DeleteContactFlowModuleCommandOutput>;
    private serialize;
    private deserialize;
}
