import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DescribeContactFlowModuleRequest, DescribeContactFlowModuleResponse } from "../models/models_0";
export interface DescribeContactFlowModuleCommandInput extends DescribeContactFlowModuleRequest {
}
export interface DescribeContactFlowModuleCommandOutput extends DescribeContactFlowModuleResponse, __MetadataBearer {
}
/**
 * <p>Describes the specified contact flow module.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { ConnectClient, DescribeContactFlowModuleCommand } from "@aws-sdk/client-connect"; // ES Modules import
 * // const { ConnectClient, DescribeContactFlowModuleCommand } = require("@aws-sdk/client-connect"); // CommonJS import
 * const client = new ConnectClient(config);
 * const command = new DescribeContactFlowModuleCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link DescribeContactFlowModuleCommandInput} for command's `input` shape.
 * @see {@link DescribeContactFlowModuleCommandOutput} for command's `response` shape.
 * @see {@link ConnectClientResolvedConfig | config} for ConnectClient's `config` shape.
 *
 */
export declare class DescribeContactFlowModuleCommand extends $Command<DescribeContactFlowModuleCommandInput, DescribeContactFlowModuleCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DescribeContactFlowModuleCommandInput;
    constructor(input: DescribeContactFlowModuleCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeContactFlowModuleCommandInput, DescribeContactFlowModuleCommandOutput>;
    private serialize;
    private deserialize;
}
