import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DescribeVocabularyRequest, DescribeVocabularyResponse } from "../models/models_0";
export interface DescribeVocabularyCommandInput extends DescribeVocabularyRequest {
}
export interface DescribeVocabularyCommandOutput extends DescribeVocabularyResponse, __MetadataBearer {
}
/**
 * <p>Describes the specified vocabulary.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { ConnectClient, DescribeVocabularyCommand } from "@aws-sdk/client-connect"; // ES Modules import
 * // const { ConnectClient, DescribeVocabularyCommand } = require("@aws-sdk/client-connect"); // CommonJS import
 * const client = new ConnectClient(config);
 * const command = new DescribeVocabularyCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link DescribeVocabularyCommandInput} for command's `input` shape.
 * @see {@link DescribeVocabularyCommandOutput} for command's `response` shape.
 * @see {@link ConnectClientResolvedConfig | config} for ConnectClient's `config` shape.
 *
 */
export declare class DescribeVocabularyCommand extends $Command<DescribeVocabularyCommandInput, DescribeVocabularyCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DescribeVocabularyCommandInput;
    constructor(input: DescribeVocabularyCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeVocabularyCommandInput, DescribeVocabularyCommandOutput>;
    private serialize;
    private deserialize;
}
