import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { ListContactFlowModulesRequest, ListContactFlowModulesResponse } from "../models/models_0";
export interface ListContactFlowModulesCommandInput extends ListContactFlowModulesRequest {
}
export interface ListContactFlowModulesCommandOutput extends ListContactFlowModulesResponse, __MetadataBearer {
}
/**
 * <p>Provides information about the contact flow modules for the specified Amazon Connect instance.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { ConnectClient, ListContactFlowModulesCommand } from "@aws-sdk/client-connect"; // ES Modules import
 * // const { ConnectClient, ListContactFlowModulesCommand } = require("@aws-sdk/client-connect"); // CommonJS import
 * const client = new ConnectClient(config);
 * const command = new ListContactFlowModulesCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link ListContactFlowModulesCommandInput} for command's `input` shape.
 * @see {@link ListContactFlowModulesCommandOutput} for command's `response` shape.
 * @see {@link ConnectClientResolvedConfig | config} for ConnectClient's `config` shape.
 *
 */
export declare class ListContactFlowModulesCommand extends $Command<ListContactFlowModulesCommandInput, ListContactFlowModulesCommandOutput, ConnectClientResolvedConfig> {
    readonly input: ListContactFlowModulesCommandInput;
    constructor(input: ListContactFlowModulesCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListContactFlowModulesCommandInput, ListContactFlowModulesCommandOutput>;
    private serialize;
    private deserialize;
}
