import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { ListDefaultVocabulariesRequest, ListDefaultVocabulariesResponse } from "../models/models_0";
export interface ListDefaultVocabulariesCommandInput extends ListDefaultVocabulariesRequest {
}
export interface ListDefaultVocabulariesCommandOutput extends ListDefaultVocabulariesResponse, __MetadataBearer {
}
/**
 * <p>Lists the default vocabularies for the specified Amazon Connect instance.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { ConnectClient, ListDefaultVocabulariesCommand } from "@aws-sdk/client-connect"; // ES Modules import
 * // const { ConnectClient, ListDefaultVocabulariesCommand } = require("@aws-sdk/client-connect"); // CommonJS import
 * const client = new ConnectClient(config);
 * const command = new ListDefaultVocabulariesCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link ListDefaultVocabulariesCommandInput} for command's `input` shape.
 * @see {@link ListDefaultVocabulariesCommandOutput} for command's `response` shape.
 * @see {@link ConnectClientResolvedConfig | config} for ConnectClient's `config` shape.
 *
 */
export declare class ListDefaultVocabulariesCommand extends $Command<ListDefaultVocabulariesCommandInput, ListDefaultVocabulariesCommandOutput, ConnectClientResolvedConfig> {
    readonly input: ListDefaultVocabulariesCommandInput;
    constructor(input: ListDefaultVocabulariesCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListDefaultVocabulariesCommandInput, ListDefaultVocabulariesCommandOutput>;
    private serialize;
    private deserialize;
}
