import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { UpdateContactFlowMetadataRequest } from "../models/models_1";
export interface UpdateContactFlowMetadataCommandInput extends UpdateContactFlowMetadataRequest {
}
export interface UpdateContactFlowMetadataCommandOutput extends __MetadataBearer {
}
/**
 * <p>Updates metadata about specified contact flow.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { ConnectClient, UpdateContactFlowMetadataCommand } from "@aws-sdk/client-connect"; // ES Modules import
 * // const { ConnectClient, UpdateContactFlowMetadataCommand } = require("@aws-sdk/client-connect"); // CommonJS import
 * const client = new ConnectClient(config);
 * const command = new UpdateContactFlowMetadataCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link UpdateContactFlowMetadataCommandInput} for command's `input` shape.
 * @see {@link UpdateContactFlowMetadataCommandOutput} for command's `response` shape.
 * @see {@link ConnectClientResolvedConfig | config} for ConnectClient's `config` shape.
 *
 */
export declare class UpdateContactFlowMetadataCommand extends $Command<UpdateContactFlowMetadataCommandInput, UpdateContactFlowMetadataCommandOutput, ConnectClientResolvedConfig> {
    readonly input: UpdateContactFlowMetadataCommandInput;
    constructor(input: UpdateContactFlowMetadataCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateContactFlowMetadataCommandInput, UpdateContactFlowMetadataCommandOutput>;
    private serialize;
    private deserialize;
}
