import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { UpdateContactScheduleRequest, UpdateContactScheduleResponse } from "../models/models_1";
export interface UpdateContactScheduleCommandInput extends UpdateContactScheduleRequest {
}
export interface UpdateContactScheduleCommandOutput extends UpdateContactScheduleResponse, __MetadataBearer {
}
/**
 * <p>Updates the scheduled time of a task contact that is already scheduled.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { ConnectClient, UpdateContactScheduleCommand } from "@aws-sdk/client-connect"; // ES Modules import
 * // const { ConnectClient, UpdateContactScheduleCommand } = require("@aws-sdk/client-connect"); // CommonJS import
 * const client = new ConnectClient(config);
 * const command = new UpdateContactScheduleCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link UpdateContactScheduleCommandInput} for command's `input` shape.
 * @see {@link UpdateContactScheduleCommandOutput} for command's `response` shape.
 * @see {@link ConnectClientResolvedConfig | config} for ConnectClient's `config` shape.
 *
 */
export declare class UpdateContactScheduleCommand extends $Command<UpdateContactScheduleCommandInput, UpdateContactScheduleCommandOutput, ConnectClientResolvedConfig> {
    readonly input: UpdateContactScheduleCommandInput;
    constructor(input: UpdateContactScheduleCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateContactScheduleCommandInput, UpdateContactScheduleCommandOutput>;
    private serialize;
    private deserialize;
}
