import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { AssociateBotRequest } from "../models/models_0";
export interface AssociateBotCommandInput extends AssociateBotRequest {
}
export interface AssociateBotCommandOutput extends __MetadataBearer {
}

export declare class AssociateBotCommand extends $Command<AssociateBotCommandInput, AssociateBotCommandOutput, ConnectClientResolvedConfig> {
    readonly input: AssociateBotCommandInput;
    constructor(input: AssociateBotCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<AssociateBotCommandInput, AssociateBotCommandOutput>;
    private serialize;
    private deserialize;
}
