import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { AssociateInstanceStorageConfigRequest, AssociateInstanceStorageConfigResponse } from "../models/models_0";
export interface AssociateInstanceStorageConfigCommandInput extends AssociateInstanceStorageConfigRequest {
}
export interface AssociateInstanceStorageConfigCommandOutput extends AssociateInstanceStorageConfigResponse, __MetadataBearer {
}

export declare class AssociateInstanceStorageConfigCommand extends $Command<AssociateInstanceStorageConfigCommandInput, AssociateInstanceStorageConfigCommandOutput, ConnectClientResolvedConfig> {
    readonly input: AssociateInstanceStorageConfigCommandInput;
    constructor(input: AssociateInstanceStorageConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<AssociateInstanceStorageConfigCommandInput, AssociateInstanceStorageConfigCommandOutput>;
    private serialize;
    private deserialize;
}
