import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { AssociateLambdaFunctionRequest } from "../models/models_0";
export interface AssociateLambdaFunctionCommandInput extends AssociateLambdaFunctionRequest {
}
export interface AssociateLambdaFunctionCommandOutput extends __MetadataBearer {
}

export declare class AssociateLambdaFunctionCommand extends $Command<AssociateLambdaFunctionCommandInput, AssociateLambdaFunctionCommandOutput, ConnectClientResolvedConfig> {
    readonly input: AssociateLambdaFunctionCommandInput;
    constructor(input: AssociateLambdaFunctionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<AssociateLambdaFunctionCommandInput, AssociateLambdaFunctionCommandOutput>;
    private serialize;
    private deserialize;
}
