import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { AssociateSecurityKeyRequest, AssociateSecurityKeyResponse } from "../models/models_0";
export interface AssociateSecurityKeyCommandInput extends AssociateSecurityKeyRequest {
}
export interface AssociateSecurityKeyCommandOutput extends AssociateSecurityKeyResponse, __MetadataBearer {
}

export declare class AssociateSecurityKeyCommand extends $Command<AssociateSecurityKeyCommandInput, AssociateSecurityKeyCommandOutput, ConnectClientResolvedConfig> {
    readonly input: AssociateSecurityKeyCommandInput;
    constructor(input: AssociateSecurityKeyCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<AssociateSecurityKeyCommandInput, AssociateSecurityKeyCommandOutput>;
    private serialize;
    private deserialize;
}
