import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { CreateAgentStatusRequest, CreateAgentStatusResponse } from "../models/models_0";
export interface CreateAgentStatusCommandInput extends CreateAgentStatusRequest {
}
export interface CreateAgentStatusCommandOutput extends CreateAgentStatusResponse, __MetadataBearer {
}

export declare class CreateAgentStatusCommand extends $Command<CreateAgentStatusCommandInput, CreateAgentStatusCommandOutput, ConnectClientResolvedConfig> {
    readonly input: CreateAgentStatusCommandInput;
    constructor(input: CreateAgentStatusCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateAgentStatusCommandInput, CreateAgentStatusCommandOutput>;
    private serialize;
    private deserialize;
}
