import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { CreateContactFlowRequest, CreateContactFlowResponse } from "../models/models_0";
export interface CreateContactFlowCommandInput extends CreateContactFlowRequest {
}
export interface CreateContactFlowCommandOutput extends CreateContactFlowResponse, __MetadataBearer {
}

export declare class CreateContactFlowCommand extends $Command<CreateContactFlowCommandInput, CreateContactFlowCommandOutput, ConnectClientResolvedConfig> {
    readonly input: CreateContactFlowCommandInput;
    constructor(input: CreateContactFlowCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateContactFlowCommandInput, CreateContactFlowCommandOutput>;
    private serialize;
    private deserialize;
}
