import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { CreateIntegrationAssociationRequest, CreateIntegrationAssociationResponse } from "../models/models_0";
export interface CreateIntegrationAssociationCommandInput extends CreateIntegrationAssociationRequest {
}
export interface CreateIntegrationAssociationCommandOutput extends CreateIntegrationAssociationResponse, __MetadataBearer {
}

export declare class CreateIntegrationAssociationCommand extends $Command<CreateIntegrationAssociationCommandInput, CreateIntegrationAssociationCommandOutput, ConnectClientResolvedConfig> {
    readonly input: CreateIntegrationAssociationCommandInput;
    constructor(input: CreateIntegrationAssociationCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateIntegrationAssociationCommandInput, CreateIntegrationAssociationCommandOutput>;
    private serialize;
    private deserialize;
}
