import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { CreateQueueRequest, CreateQueueResponse } from "../models/models_0";
export interface CreateQueueCommandInput extends CreateQueueRequest {
}
export interface CreateQueueCommandOutput extends CreateQueueResponse, __MetadataBearer {
}

export declare class CreateQueueCommand extends $Command<CreateQueueCommandInput, CreateQueueCommandOutput, ConnectClientResolvedConfig> {
    readonly input: CreateQueueCommandInput;
    constructor(input: CreateQueueCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateQueueCommandInput, CreateQueueCommandOutput>;
    private serialize;
    private deserialize;
}
