import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { CreateQuickConnectRequest, CreateQuickConnectResponse } from "../models/models_0";
export interface CreateQuickConnectCommandInput extends CreateQuickConnectRequest {
}
export interface CreateQuickConnectCommandOutput extends CreateQuickConnectResponse, __MetadataBearer {
}

export declare class CreateQuickConnectCommand extends $Command<CreateQuickConnectCommandInput, CreateQuickConnectCommandOutput, ConnectClientResolvedConfig> {
    readonly input: CreateQuickConnectCommandInput;
    constructor(input: CreateQuickConnectCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateQuickConnectCommandInput, CreateQuickConnectCommandOutput>;
    private serialize;
    private deserialize;
}
