import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { CreateRoutingProfileRequest, CreateRoutingProfileResponse } from "../models/models_0";
export interface CreateRoutingProfileCommandInput extends CreateRoutingProfileRequest {
}
export interface CreateRoutingProfileCommandOutput extends CreateRoutingProfileResponse, __MetadataBearer {
}

export declare class CreateRoutingProfileCommand extends $Command<CreateRoutingProfileCommandInput, CreateRoutingProfileCommandOutput, ConnectClientResolvedConfig> {
    readonly input: CreateRoutingProfileCommandInput;
    constructor(input: CreateRoutingProfileCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateRoutingProfileCommandInput, CreateRoutingProfileCommandOutput>;
    private serialize;
    private deserialize;
}
