import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { CreateSecurityProfileRequest, CreateSecurityProfileResponse } from "../models/models_0";
export interface CreateSecurityProfileCommandInput extends CreateSecurityProfileRequest {
}
export interface CreateSecurityProfileCommandOutput extends CreateSecurityProfileResponse, __MetadataBearer {
}

export declare class CreateSecurityProfileCommand extends $Command<CreateSecurityProfileCommandInput, CreateSecurityProfileCommandOutput, ConnectClientResolvedConfig> {
    readonly input: CreateSecurityProfileCommandInput;
    constructor(input: CreateSecurityProfileCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateSecurityProfileCommandInput, CreateSecurityProfileCommandOutput>;
    private serialize;
    private deserialize;
}
