import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { CreateUseCaseRequest, CreateUseCaseResponse } from "../models/models_0";
export interface CreateUseCaseCommandInput extends CreateUseCaseRequest {
}
export interface CreateUseCaseCommandOutput extends CreateUseCaseResponse, __MetadataBearer {
}

export declare class CreateUseCaseCommand extends $Command<CreateUseCaseCommandInput, CreateUseCaseCommandOutput, ConnectClientResolvedConfig> {
    readonly input: CreateUseCaseCommandInput;
    constructor(input: CreateUseCaseCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateUseCaseCommandInput, CreateUseCaseCommandOutput>;
    private serialize;
    private deserialize;
}
