import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { CreateUserHierarchyGroupRequest, CreateUserHierarchyGroupResponse } from "../models/models_0";
export interface CreateUserHierarchyGroupCommandInput extends CreateUserHierarchyGroupRequest {
}
export interface CreateUserHierarchyGroupCommandOutput extends CreateUserHierarchyGroupResponse, __MetadataBearer {
}

export declare class CreateUserHierarchyGroupCommand extends $Command<CreateUserHierarchyGroupCommandInput, CreateUserHierarchyGroupCommandOutput, ConnectClientResolvedConfig> {
    readonly input: CreateUserHierarchyGroupCommandInput;
    constructor(input: CreateUserHierarchyGroupCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateUserHierarchyGroupCommandInput, CreateUserHierarchyGroupCommandOutput>;
    private serialize;
    private deserialize;
}
