import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { CreateVocabularyRequest, CreateVocabularyResponse } from "../models/models_0";
export interface CreateVocabularyCommandInput extends CreateVocabularyRequest {
}
export interface CreateVocabularyCommandOutput extends CreateVocabularyResponse, __MetadataBearer {
}

export declare class CreateVocabularyCommand extends $Command<CreateVocabularyCommandInput, CreateVocabularyCommandOutput, ConnectClientResolvedConfig> {
    readonly input: CreateVocabularyCommandInput;
    constructor(input: CreateVocabularyCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateVocabularyCommandInput, CreateVocabularyCommandOutput>;
    private serialize;
    private deserialize;
}
