import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DeleteQuickConnectRequest } from "../models/models_0";
export interface DeleteQuickConnectCommandInput extends DeleteQuickConnectRequest {
}
export interface DeleteQuickConnectCommandOutput extends __MetadataBearer {
}

export declare class DeleteQuickConnectCommand extends $Command<DeleteQuickConnectCommandInput, DeleteQuickConnectCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DeleteQuickConnectCommandInput;
    constructor(input: DeleteQuickConnectCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteQuickConnectCommandInput, DeleteQuickConnectCommandOutput>;
    private serialize;
    private deserialize;
}
