import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DeleteSecurityProfileRequest } from "../models/models_0";
export interface DeleteSecurityProfileCommandInput extends DeleteSecurityProfileRequest {
}
export interface DeleteSecurityProfileCommandOutput extends __MetadataBearer {
}

export declare class DeleteSecurityProfileCommand extends $Command<DeleteSecurityProfileCommandInput, DeleteSecurityProfileCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DeleteSecurityProfileCommandInput;
    constructor(input: DeleteSecurityProfileCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteSecurityProfileCommandInput, DeleteSecurityProfileCommandOutput>;
    private serialize;
    private deserialize;
}
