import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DeleteUseCaseRequest } from "../models/models_0";
export interface DeleteUseCaseCommandInput extends DeleteUseCaseRequest {
}
export interface DeleteUseCaseCommandOutput extends __MetadataBearer {
}

export declare class DeleteUseCaseCommand extends $Command<DeleteUseCaseCommandInput, DeleteUseCaseCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DeleteUseCaseCommandInput;
    constructor(input: DeleteUseCaseCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteUseCaseCommandInput, DeleteUseCaseCommandOutput>;
    private serialize;
    private deserialize;
}
