import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DeleteVocabularyRequest, DeleteVocabularyResponse } from "../models/models_0";
export interface DeleteVocabularyCommandInput extends DeleteVocabularyRequest {
}
export interface DeleteVocabularyCommandOutput extends DeleteVocabularyResponse, __MetadataBearer {
}

export declare class DeleteVocabularyCommand extends $Command<DeleteVocabularyCommandInput, DeleteVocabularyCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DeleteVocabularyCommandInput;
    constructor(input: DeleteVocabularyCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteVocabularyCommandInput, DeleteVocabularyCommandOutput>;
    private serialize;
    private deserialize;
}
