import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DescribeAgentStatusRequest, DescribeAgentStatusResponse } from "../models/models_0";
export interface DescribeAgentStatusCommandInput extends DescribeAgentStatusRequest {
}
export interface DescribeAgentStatusCommandOutput extends DescribeAgentStatusResponse, __MetadataBearer {
}

export declare class DescribeAgentStatusCommand extends $Command<DescribeAgentStatusCommandInput, DescribeAgentStatusCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DescribeAgentStatusCommandInput;
    constructor(input: DescribeAgentStatusCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeAgentStatusCommandInput, DescribeAgentStatusCommandOutput>;
    private serialize;
    private deserialize;
}
