import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DescribeContactRequest, DescribeContactResponse } from "../models/models_0";
export interface DescribeContactCommandInput extends DescribeContactRequest {
}
export interface DescribeContactCommandOutput extends DescribeContactResponse, __MetadataBearer {
}

export declare class DescribeContactCommand extends $Command<DescribeContactCommandInput, DescribeContactCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DescribeContactCommandInput;
    constructor(input: DescribeContactCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeContactCommandInput, DescribeContactCommandOutput>;
    private serialize;
    private deserialize;
}
