import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DescribeContactFlowModuleRequest, DescribeContactFlowModuleResponse } from "../models/models_0";
export interface DescribeContactFlowModuleCommandInput extends DescribeContactFlowModuleRequest {
}
export interface DescribeContactFlowModuleCommandOutput extends DescribeContactFlowModuleResponse, __MetadataBearer {
}

export declare class DescribeContactFlowModuleCommand extends $Command<DescribeContactFlowModuleCommandInput, DescribeContactFlowModuleCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DescribeContactFlowModuleCommandInput;
    constructor(input: DescribeContactFlowModuleCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeContactFlowModuleCommandInput, DescribeContactFlowModuleCommandOutput>;
    private serialize;
    private deserialize;
}
