import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DescribeInstanceRequest, DescribeInstanceResponse } from "../models/models_0";
export interface DescribeInstanceCommandInput extends DescribeInstanceRequest {
}
export interface DescribeInstanceCommandOutput extends DescribeInstanceResponse, __MetadataBearer {
}

export declare class DescribeInstanceCommand extends $Command<DescribeInstanceCommandInput, DescribeInstanceCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DescribeInstanceCommandInput;
    constructor(input: DescribeInstanceCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeInstanceCommandInput, DescribeInstanceCommandOutput>;
    private serialize;
    private deserialize;
}
