import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DescribeQueueRequest, DescribeQueueResponse } from "../models/models_0";
export interface DescribeQueueCommandInput extends DescribeQueueRequest {
}
export interface DescribeQueueCommandOutput extends DescribeQueueResponse, __MetadataBearer {
}

export declare class DescribeQueueCommand extends $Command<DescribeQueueCommandInput, DescribeQueueCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DescribeQueueCommandInput;
    constructor(input: DescribeQueueCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeQueueCommandInput, DescribeQueueCommandOutput>;
    private serialize;
    private deserialize;
}
