import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DescribeRoutingProfileRequest, DescribeRoutingProfileResponse } from "../models/models_0";
export interface DescribeRoutingProfileCommandInput extends DescribeRoutingProfileRequest {
}
export interface DescribeRoutingProfileCommandOutput extends DescribeRoutingProfileResponse, __MetadataBearer {
}

export declare class DescribeRoutingProfileCommand extends $Command<DescribeRoutingProfileCommandInput, DescribeRoutingProfileCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DescribeRoutingProfileCommandInput;
    constructor(input: DescribeRoutingProfileCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeRoutingProfileCommandInput, DescribeRoutingProfileCommandOutput>;
    private serialize;
    private deserialize;
}
