import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DescribeSecurityProfileRequest, DescribeSecurityProfileResponse } from "../models/models_0";
export interface DescribeSecurityProfileCommandInput extends DescribeSecurityProfileRequest {
}
export interface DescribeSecurityProfileCommandOutput extends DescribeSecurityProfileResponse, __MetadataBearer {
}

export declare class DescribeSecurityProfileCommand extends $Command<DescribeSecurityProfileCommandInput, DescribeSecurityProfileCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DescribeSecurityProfileCommandInput;
    constructor(input: DescribeSecurityProfileCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeSecurityProfileCommandInput, DescribeSecurityProfileCommandOutput>;
    private serialize;
    private deserialize;
}
