import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DescribeVocabularyRequest, DescribeVocabularyResponse } from "../models/models_0";
export interface DescribeVocabularyCommandInput extends DescribeVocabularyRequest {
}
export interface DescribeVocabularyCommandOutput extends DescribeVocabularyResponse, __MetadataBearer {
}

export declare class DescribeVocabularyCommand extends $Command<DescribeVocabularyCommandInput, DescribeVocabularyCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DescribeVocabularyCommandInput;
    constructor(input: DescribeVocabularyCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeVocabularyCommandInput, DescribeVocabularyCommandOutput>;
    private serialize;
    private deserialize;
}
