import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DisassociateApprovedOriginRequest } from "../models/models_0";
export interface DisassociateApprovedOriginCommandInput extends DisassociateApprovedOriginRequest {
}
export interface DisassociateApprovedOriginCommandOutput extends __MetadataBearer {
}

export declare class DisassociateApprovedOriginCommand extends $Command<DisassociateApprovedOriginCommandInput, DisassociateApprovedOriginCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DisassociateApprovedOriginCommandInput;
    constructor(input: DisassociateApprovedOriginCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DisassociateApprovedOriginCommandInput, DisassociateApprovedOriginCommandOutput>;
    private serialize;
    private deserialize;
}
