import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DisassociateBotRequest } from "../models/models_0";
export interface DisassociateBotCommandInput extends DisassociateBotRequest {
}
export interface DisassociateBotCommandOutput extends __MetadataBearer {
}

export declare class DisassociateBotCommand extends $Command<DisassociateBotCommandInput, DisassociateBotCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DisassociateBotCommandInput;
    constructor(input: DisassociateBotCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DisassociateBotCommandInput, DisassociateBotCommandOutput>;
    private serialize;
    private deserialize;
}
