import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { DisassociateSecurityKeyRequest } from "../models/models_0";
export interface DisassociateSecurityKeyCommandInput extends DisassociateSecurityKeyRequest {
}
export interface DisassociateSecurityKeyCommandOutput extends __MetadataBearer {
}

export declare class DisassociateSecurityKeyCommand extends $Command<DisassociateSecurityKeyCommandInput, DisassociateSecurityKeyCommandOutput, ConnectClientResolvedConfig> {
    readonly input: DisassociateSecurityKeyCommandInput;
    constructor(input: DisassociateSecurityKeyCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DisassociateSecurityKeyCommandInput, DisassociateSecurityKeyCommandOutput>;
    private serialize;
    private deserialize;
}
