import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { GetContactAttributesRequest, GetContactAttributesResponse } from "../models/models_0";
export interface GetContactAttributesCommandInput extends GetContactAttributesRequest {
}
export interface GetContactAttributesCommandOutput extends GetContactAttributesResponse, __MetadataBearer {
}

export declare class GetContactAttributesCommand extends $Command<GetContactAttributesCommandInput, GetContactAttributesCommandOutput, ConnectClientResolvedConfig> {
    readonly input: GetContactAttributesCommandInput;
    constructor(input: GetContactAttributesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetContactAttributesCommandInput, GetContactAttributesCommandOutput>;
    private serialize;
    private deserialize;
}
