import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { ListAgentStatusRequest, ListAgentStatusResponse } from "../models/models_0";
export interface ListAgentStatusesCommandInput extends ListAgentStatusRequest {
}
export interface ListAgentStatusesCommandOutput extends ListAgentStatusResponse, __MetadataBearer {
}

export declare class ListAgentStatusesCommand extends $Command<ListAgentStatusesCommandInput, ListAgentStatusesCommandOutput, ConnectClientResolvedConfig> {
    readonly input: ListAgentStatusesCommandInput;
    constructor(input: ListAgentStatusesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListAgentStatusesCommandInput, ListAgentStatusesCommandOutput>;
    private serialize;
    private deserialize;
}
