import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { ListBotsRequest, ListBotsResponse } from "../models/models_0";
export interface ListBotsCommandInput extends ListBotsRequest {
}
export interface ListBotsCommandOutput extends ListBotsResponse, __MetadataBearer {
}

export declare class ListBotsCommand extends $Command<ListBotsCommandInput, ListBotsCommandOutput, ConnectClientResolvedConfig> {
    readonly input: ListBotsCommandInput;
    constructor(input: ListBotsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListBotsCommandInput, ListBotsCommandOutput>;
    private serialize;
    private deserialize;
}
