import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { ListContactFlowsRequest, ListContactFlowsResponse } from "../models/models_0";
export interface ListContactFlowsCommandInput extends ListContactFlowsRequest {
}
export interface ListContactFlowsCommandOutput extends ListContactFlowsResponse, __MetadataBearer {
}

export declare class ListContactFlowsCommand extends $Command<ListContactFlowsCommandInput, ListContactFlowsCommandOutput, ConnectClientResolvedConfig> {
    readonly input: ListContactFlowsCommandInput;
    constructor(input: ListContactFlowsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListContactFlowsCommandInput, ListContactFlowsCommandOutput>;
    private serialize;
    private deserialize;
}
