import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { ListContactReferencesRequest, ListContactReferencesResponse } from "../models/models_0";
export interface ListContactReferencesCommandInput extends ListContactReferencesRequest {
}
export interface ListContactReferencesCommandOutput extends ListContactReferencesResponse, __MetadataBearer {
}

export declare class ListContactReferencesCommand extends $Command<ListContactReferencesCommandInput, ListContactReferencesCommandOutput, ConnectClientResolvedConfig> {
    readonly input: ListContactReferencesCommandInput;
    constructor(input: ListContactReferencesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListContactReferencesCommandInput, ListContactReferencesCommandOutput>;
    private serialize;
    private deserialize;
}
