import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { ListInstanceAttributesRequest, ListInstanceAttributesResponse } from "../models/models_0";
export interface ListInstanceAttributesCommandInput extends ListInstanceAttributesRequest {
}
export interface ListInstanceAttributesCommandOutput extends ListInstanceAttributesResponse, __MetadataBearer {
}

export declare class ListInstanceAttributesCommand extends $Command<ListInstanceAttributesCommandInput, ListInstanceAttributesCommandOutput, ConnectClientResolvedConfig> {
    readonly input: ListInstanceAttributesCommandInput;
    constructor(input: ListInstanceAttributesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListInstanceAttributesCommandInput, ListInstanceAttributesCommandOutput>;
    private serialize;
    private deserialize;
}
