import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { ListInstanceStorageConfigsRequest, ListInstanceStorageConfigsResponse } from "../models/models_0";
export interface ListInstanceStorageConfigsCommandInput extends ListInstanceStorageConfigsRequest {
}
export interface ListInstanceStorageConfigsCommandOutput extends ListInstanceStorageConfigsResponse, __MetadataBearer {
}

export declare class ListInstanceStorageConfigsCommand extends $Command<ListInstanceStorageConfigsCommandInput, ListInstanceStorageConfigsCommandOutput, ConnectClientResolvedConfig> {
    readonly input: ListInstanceStorageConfigsCommandInput;
    constructor(input: ListInstanceStorageConfigsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListInstanceStorageConfigsCommandInput, ListInstanceStorageConfigsCommandOutput>;
    private serialize;
    private deserialize;
}
