import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { ListInstancesRequest, ListInstancesResponse } from "../models/models_0";
export interface ListInstancesCommandInput extends ListInstancesRequest {
}
export interface ListInstancesCommandOutput extends ListInstancesResponse, __MetadataBearer {
}

export declare class ListInstancesCommand extends $Command<ListInstancesCommandInput, ListInstancesCommandOutput, ConnectClientResolvedConfig> {
    readonly input: ListInstancesCommandInput;
    constructor(input: ListInstancesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListInstancesCommandInput, ListInstancesCommandOutput>;
    private serialize;
    private deserialize;
}
