import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { ListIntegrationAssociationsRequest, ListIntegrationAssociationsResponse } from "../models/models_0";
export interface ListIntegrationAssociationsCommandInput extends ListIntegrationAssociationsRequest {
}
export interface ListIntegrationAssociationsCommandOutput extends ListIntegrationAssociationsResponse, __MetadataBearer {
}

export declare class ListIntegrationAssociationsCommand extends $Command<ListIntegrationAssociationsCommandInput, ListIntegrationAssociationsCommandOutput, ConnectClientResolvedConfig> {
    readonly input: ListIntegrationAssociationsCommandInput;
    constructor(input: ListIntegrationAssociationsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListIntegrationAssociationsCommandInput, ListIntegrationAssociationsCommandOutput>;
    private serialize;
    private deserialize;
}
