import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { ListQueueQuickConnectsRequest, ListQueueQuickConnectsResponse } from "../models/models_0";
export interface ListQueueQuickConnectsCommandInput extends ListQueueQuickConnectsRequest {
}
export interface ListQueueQuickConnectsCommandOutput extends ListQueueQuickConnectsResponse, __MetadataBearer {
}

export declare class ListQueueQuickConnectsCommand extends $Command<ListQueueQuickConnectsCommandInput, ListQueueQuickConnectsCommandOutput, ConnectClientResolvedConfig> {
    readonly input: ListQueueQuickConnectsCommandInput;
    constructor(input: ListQueueQuickConnectsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListQueueQuickConnectsCommandInput, ListQueueQuickConnectsCommandOutput>;
    private serialize;
    private deserialize;
}
