import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { ListSecurityKeysRequest, ListSecurityKeysResponse } from "../models/models_0";
export interface ListSecurityKeysCommandInput extends ListSecurityKeysRequest {
}
export interface ListSecurityKeysCommandOutput extends ListSecurityKeysResponse, __MetadataBearer {
}

export declare class ListSecurityKeysCommand extends $Command<ListSecurityKeysCommandInput, ListSecurityKeysCommandOutput, ConnectClientResolvedConfig> {
    readonly input: ListSecurityKeysCommandInput;
    constructor(input: ListSecurityKeysCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListSecurityKeysCommandInput, ListSecurityKeysCommandOutput>;
    private serialize;
    private deserialize;
}
