import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { ListSecurityProfilePermissionsRequest, ListSecurityProfilePermissionsResponse } from "../models/models_0";
export interface ListSecurityProfilePermissionsCommandInput extends ListSecurityProfilePermissionsRequest {
}
export interface ListSecurityProfilePermissionsCommandOutput extends ListSecurityProfilePermissionsResponse, __MetadataBearer {
}

export declare class ListSecurityProfilePermissionsCommand extends $Command<ListSecurityProfilePermissionsCommandInput, ListSecurityProfilePermissionsCommandOutput, ConnectClientResolvedConfig> {
    readonly input: ListSecurityProfilePermissionsCommandInput;
    constructor(input: ListSecurityProfilePermissionsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListSecurityProfilePermissionsCommandInput, ListSecurityProfilePermissionsCommandOutput>;
    private serialize;
    private deserialize;
}
