import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { ListUseCasesRequest, ListUseCasesResponse } from "../models/models_0";
export interface ListUseCasesCommandInput extends ListUseCasesRequest {
}
export interface ListUseCasesCommandOutput extends ListUseCasesResponse, __MetadataBearer {
}

export declare class ListUseCasesCommand extends $Command<ListUseCasesCommandInput, ListUseCasesCommandOutput, ConnectClientResolvedConfig> {
    readonly input: ListUseCasesCommandInput;
    constructor(input: ListUseCasesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListUseCasesCommandInput, ListUseCasesCommandOutput>;
    private serialize;
    private deserialize;
}
