import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { ResumeContactRecordingRequest, ResumeContactRecordingResponse } from "../models/models_0";
export interface ResumeContactRecordingCommandInput extends ResumeContactRecordingRequest {
}
export interface ResumeContactRecordingCommandOutput extends ResumeContactRecordingResponse, __MetadataBearer {
}

export declare class ResumeContactRecordingCommand extends $Command<ResumeContactRecordingCommandInput, ResumeContactRecordingCommandOutput, ConnectClientResolvedConfig> {
    readonly input: ResumeContactRecordingCommandInput;
    constructor(input: ResumeContactRecordingCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ResumeContactRecordingCommandInput, ResumeContactRecordingCommandOutput>;
    private serialize;
    private deserialize;
}
