import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { SearchVocabulariesRequest, SearchVocabulariesResponse } from "../models/models_0";
export interface SearchVocabulariesCommandInput extends SearchVocabulariesRequest {
}
export interface SearchVocabulariesCommandOutput extends SearchVocabulariesResponse, __MetadataBearer {
}

export declare class SearchVocabulariesCommand extends $Command<SearchVocabulariesCommandInput, SearchVocabulariesCommandOutput, ConnectClientResolvedConfig> {
    readonly input: SearchVocabulariesCommandInput;
    constructor(input: SearchVocabulariesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<SearchVocabulariesCommandInput, SearchVocabulariesCommandOutput>;
    private serialize;
    private deserialize;
}
