import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { StartChatContactRequest, StartChatContactResponse } from "../models/models_0";
export interface StartChatContactCommandInput extends StartChatContactRequest {
}
export interface StartChatContactCommandOutput extends StartChatContactResponse, __MetadataBearer {
}

export declare class StartChatContactCommand extends $Command<StartChatContactCommandInput, StartChatContactCommandOutput, ConnectClientResolvedConfig> {
    readonly input: StartChatContactCommandInput;
    constructor(input: StartChatContactCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StartChatContactCommandInput, StartChatContactCommandOutput>;
    private serialize;
    private deserialize;
}
