import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { StartContactStreamingRequest, StartContactStreamingResponse } from "../models/models_0";
export interface StartContactStreamingCommandInput extends StartContactStreamingRequest {
}
export interface StartContactStreamingCommandOutput extends StartContactStreamingResponse, __MetadataBearer {
}

export declare class StartContactStreamingCommand extends $Command<StartContactStreamingCommandInput, StartContactStreamingCommandOutput, ConnectClientResolvedConfig> {
    readonly input: StartContactStreamingCommandInput;
    constructor(input: StartContactStreamingCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StartContactStreamingCommandInput, StartContactStreamingCommandOutput>;
    private serialize;
    private deserialize;
}
