import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { StartOutboundVoiceContactRequest, StartOutboundVoiceContactResponse } from "../models/models_1";
export interface StartOutboundVoiceContactCommandInput extends StartOutboundVoiceContactRequest {
}
export interface StartOutboundVoiceContactCommandOutput extends StartOutboundVoiceContactResponse, __MetadataBearer {
}

export declare class StartOutboundVoiceContactCommand extends $Command<StartOutboundVoiceContactCommandInput, StartOutboundVoiceContactCommandOutput, ConnectClientResolvedConfig> {
    readonly input: StartOutboundVoiceContactCommandInput;
    constructor(input: StartOutboundVoiceContactCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StartOutboundVoiceContactCommandInput, StartOutboundVoiceContactCommandOutput>;
    private serialize;
    private deserialize;
}
