import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { StartTaskContactRequest, StartTaskContactResponse } from "../models/models_1";
export interface StartTaskContactCommandInput extends StartTaskContactRequest {
}
export interface StartTaskContactCommandOutput extends StartTaskContactResponse, __MetadataBearer {
}

export declare class StartTaskContactCommand extends $Command<StartTaskContactCommandInput, StartTaskContactCommandOutput, ConnectClientResolvedConfig> {
    readonly input: StartTaskContactCommandInput;
    constructor(input: StartTaskContactCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StartTaskContactCommandInput, StartTaskContactCommandOutput>;
    private serialize;
    private deserialize;
}
