import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { StopContactRequest, StopContactResponse } from "../models/models_1";
export interface StopContactCommandInput extends StopContactRequest {
}
export interface StopContactCommandOutput extends StopContactResponse, __MetadataBearer {
}

export declare class StopContactCommand extends $Command<StopContactCommandInput, StopContactCommandOutput, ConnectClientResolvedConfig> {
    readonly input: StopContactCommandInput;
    constructor(input: StopContactCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StopContactCommandInput, StopContactCommandOutput>;
    private serialize;
    private deserialize;
}
