import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { StopContactRecordingRequest, StopContactRecordingResponse } from "../models/models_1";
export interface StopContactRecordingCommandInput extends StopContactRecordingRequest {
}
export interface StopContactRecordingCommandOutput extends StopContactRecordingResponse, __MetadataBearer {
}

export declare class StopContactRecordingCommand extends $Command<StopContactRecordingCommandInput, StopContactRecordingCommandOutput, ConnectClientResolvedConfig> {
    readonly input: StopContactRecordingCommandInput;
    constructor(input: StopContactRecordingCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StopContactRecordingCommandInput, StopContactRecordingCommandOutput>;
    private serialize;
    private deserialize;
}
