import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { StopContactStreamingRequest, StopContactStreamingResponse } from "../models/models_1";
export interface StopContactStreamingCommandInput extends StopContactStreamingRequest {
}
export interface StopContactStreamingCommandOutput extends StopContactStreamingResponse, __MetadataBearer {
}

export declare class StopContactStreamingCommand extends $Command<StopContactStreamingCommandInput, StopContactStreamingCommandOutput, ConnectClientResolvedConfig> {
    readonly input: StopContactStreamingCommandInput;
    constructor(input: StopContactStreamingCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StopContactStreamingCommandInput, StopContactStreamingCommandOutput>;
    private serialize;
    private deserialize;
}
