import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { UpdateContactRequest, UpdateContactResponse } from "../models/models_1";
export interface UpdateContactCommandInput extends UpdateContactRequest {
}
export interface UpdateContactCommandOutput extends UpdateContactResponse, __MetadataBearer {
}

export declare class UpdateContactCommand extends $Command<UpdateContactCommandInput, UpdateContactCommandOutput, ConnectClientResolvedConfig> {
    readonly input: UpdateContactCommandInput;
    constructor(input: UpdateContactCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateContactCommandInput, UpdateContactCommandOutput>;
    private serialize;
    private deserialize;
}
