import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { UpdateInstanceStorageConfigRequest } from "../models/models_1";
export interface UpdateInstanceStorageConfigCommandInput extends UpdateInstanceStorageConfigRequest {
}
export interface UpdateInstanceStorageConfigCommandOutput extends __MetadataBearer {
}

export declare class UpdateInstanceStorageConfigCommand extends $Command<UpdateInstanceStorageConfigCommandInput, UpdateInstanceStorageConfigCommandOutput, ConnectClientResolvedConfig> {
    readonly input: UpdateInstanceStorageConfigCommandInput;
    constructor(input: UpdateInstanceStorageConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateInstanceStorageConfigCommandInput, UpdateInstanceStorageConfigCommandOutput>;
    private serialize;
    private deserialize;
}
