import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { UpdateQuickConnectConfigRequest } from "../models/models_1";
export interface UpdateQuickConnectConfigCommandInput extends UpdateQuickConnectConfigRequest {
}
export interface UpdateQuickConnectConfigCommandOutput extends __MetadataBearer {
}

export declare class UpdateQuickConnectConfigCommand extends $Command<UpdateQuickConnectConfigCommandInput, UpdateQuickConnectConfigCommandOutput, ConnectClientResolvedConfig> {
    readonly input: UpdateQuickConnectConfigCommandInput;
    constructor(input: UpdateQuickConnectConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateQuickConnectConfigCommandInput, UpdateQuickConnectConfigCommandOutput>;
    private serialize;
    private deserialize;
}
