import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ConnectClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ConnectClient";
import { UpdateSecurityProfileRequest } from "../models/models_1";
export interface UpdateSecurityProfileCommandInput extends UpdateSecurityProfileRequest {
}
export interface UpdateSecurityProfileCommandOutput extends __MetadataBearer {
}

export declare class UpdateSecurityProfileCommand extends $Command<UpdateSecurityProfileCommandInput, UpdateSecurityProfileCommandOutput, ConnectClientResolvedConfig> {
    readonly input: UpdateSecurityProfileCommandInput;
    constructor(input: UpdateSecurityProfileCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ConnectClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateSecurityProfileCommandInput, UpdateSecurityProfileCommandOutput>;
    private serialize;
    private deserialize;
}
